Bug 172051 - Kudzu can't cope with multiple drivers depending on same PCI ID
Kudzu can't cope with multiple drivers depending on same PCI ID
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-10-29 18:38 EDT by Paul Jakma
Modified: 2014-03-16 22:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-20 16:46:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Jakma 2005-10-29 18:38:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050923 Galeon/1.3.21

Description of problem:
Kudzu appears to determine which drivers to use for which devices by examing modules.pcimap. Unfortunately it is unable to cope with situation where multiple modules list the same PCI ID. This hits Opteron AMD-8111 systems where both i2c-amd756 and hw_random list 1022:746b as a suitable PCI ID. E.g.:

# grep 746b /lib/modules/2.6.13-1.1532_FC4smp/modules.pcimap
i2c-amd756           0x00001022 0x0000746b 0xffffffff 0xffffffff 0x00000000 0x00000000 0x0
hw_random            0x00001022 0x0000746b 0xffffffff 0xffffffff 0x00000000 0x00000000 0x0

The result is that kudzu uses the first match and writes out a /etc/sysconfig/hwconf which contains only 'driver: i2c-amd756' for this "AMD-8111 ACPI (rev 05)" device, hence hw_random is not loaded on boot, hence rngd is never started.

IWBN if kudzu and the hwconf file could deal with both. 

Alternatively, i2c-amd756 should not list any pci-ids in module information, given that the sensors stuff has a seperate detection script.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run kudzu
2. Observe that only one of the multiple modules applicable to a device is entered
into /etc/sysconfig/hwconf
3. Missing functionality after boot, have to manually load modules or use ad-hoc boot scripts.

Actual Results:  hw_random was not loaded. Only i2c-amd756.

Expected Results:  hw_random should have been loaded too.

Additional info:
Comment 1 Bill Nottingham 2006-01-20 16:46:02 EST
This is fixed in the devel tree (in FC Test 1 & Test 2); we use a different
mechanism to determine what modules to load.

Note You need to log in before you can comment on or make changes to this bug.